"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeaderMenuItems = void 0;
var react_1 = __importDefault(require("react"));
var primeobjects_helper_util_1 = require("primeobjects-helper-util");
var lodash_1 = require("lodash");
var svg_1 = __importDefault(require("../svg"));
var HeaderMenuItems = function (props) {
    var data = props.data, title = props.title, href = props.href, mobileView = props.mobileView;
    var colorName = (0, primeobjects_helper_util_1.isNonEmptyString)(props.colorName) ? props.colorName : 'blue';
    return react_1.default.createElement("div", { className: "relative grid gap-6 bg-white px-5 py-7 sm:gap-8 sm:px-8", style: mobileView ? { paddingTop: 0 } : {} },
        (0, primeobjects_helper_util_1.isNonEmptyString)(title) &&
            react_1.default.createElement("h3", { className: "text-sm tracking-wide border border-dashed border-t-0 border-l-0  border-r-0 font-medium text-gray-500 pb-2" },
                react_1.default.createElement("a", { href: href }, title)),
        (0, lodash_1.map)(data, function (item, idx) {
            if (!(0, primeobjects_helper_util_1.isNonEmptyString)(item.title) && !(0, primeobjects_helper_util_1.isNonEmptyString)(item.description)) {
                item.title = 'Need title or description';
            }
            return react_1.default.createElement("a", { key: (0, primeobjects_helper_util_1.isNonEmptyString)(item.id) ? item.id : idx, href: item.href, className: "-m-3 p-3 flex items-start rounded-lg hover:bg-gray-50" },
                (0, primeobjects_helper_util_1.isNonEmptyString)(item.icon) ?
                    react_1.default.createElement(svg_1.default, { src: item.icon, size: 16, className: "flex-shrink-0 h-6 w-6 text-".concat(colorName, "-600"), "aria-hidden": "true" }) :
                    react_1.default.createElement("div", { className: "flex-shrink-0 h-6 w-6 text-".concat(colorName, "-600"), "aria-hidden": "true" }),
                react_1.default.createElement("div", { className: "ml-4" },
                    (0, primeobjects_helper_util_1.isNonEmptyString)(item.title) && react_1.default.createElement("p", { className: "text-base font-medium text-gray-900 mb-0" }, item.title),
                    (0, primeobjects_helper_util_1.isNonEmptyString)(item.description) && react_1.default.createElement("p", { className: "mt-1 text-sm text-gray-500 my-1" }, item.description)));
        }));
};
exports.HeaderMenuItems = HeaderMenuItems;
exports.default = exports.HeaderMenuItems;
