import React from 'react';
import { isNonEmptyString } from 'primeobjects-helper-util';
import { map } from 'lodash';
import SVG from '../svg';
export var HeaderMenuItems = function (props) {
    var data = props.data, title = props.title, href = props.href, mobileView = props.mobileView;
    var colorName = isNonEmptyString(props.colorName) ? props.colorName : 'blue';
    return React.createElement("div", { className: "relative grid gap-6 bg-white px-5 py-7 sm:gap-8 sm:px-8", style: mobileView ? { paddingTop: 0 } : {} },
        isNonEmptyString(title) &&
            React.createElement("h3", { className: "text-sm tracking-wide border border-dashed border-t-0 border-l-0  border-r-0 font-medium text-gray-500 pb-2" },
                React.createElement("a", { href: href }, title)),
        map(data, function (item, idx) {
            if (!isNonEmptyString(item.title) && !isNonEmptyString(item.description)) {
                item.title = 'Need title or description';
            }
            return React.createElement("a", { key: isNonEmptyString(item.id) ? item.id : idx, href: item.href, className: "-m-3 p-3 flex items-start rounded-lg hover:bg-gray-50" },
                isNonEmptyString(item.icon) ?
                    React.createElement(SVG, { src: item.icon, size: 16, className: "flex-shrink-0 h-6 w-6 text-".concat(colorName, "-600"), "aria-hidden": "true" }) :
                    React.createElement("div", { className: "flex-shrink-0 h-6 w-6 text-".concat(colorName, "-600"), "aria-hidden": "true" }),
                React.createElement("div", { className: "ml-4" },
                    isNonEmptyString(item.title) && React.createElement("p", { className: "text-base font-medium text-gray-900 mb-0" }, item.title),
                    isNonEmptyString(item.description) && React.createElement("p", { className: "mt-1 text-sm text-gray-500 my-1" }, item.description)));
        }));
};
export default HeaderMenuItems;
